ExternalAccountsResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class ExternalAccountsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ExternalAccountsResourceApi

-     public class ExternalAccountsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalAccountsResourceApi()`
    `ExternalAccountsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiExternalAccount` | `createAccount(ApiExternalAccount body)` Create a new external account.
    `com.squareup.okhttp.Call` | `createAccountAsync(ApiExternalAccount body, ApiCallback<ApiExternalAccount> callback)` Create a new external account.
    `com.squareup.okhttp.Call` | `createAccountCall(ApiExternalAccount body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createAccount
    `ApiResponse<ApiExternalAccount>` | `createAccountWithHttpInfo(ApiExternalAccount body)` Create a new external account.
    `ApiExternalAccount` | `deleteAccount(String name)` Delete an external account, specifying its name.
    `com.squareup.okhttp.Call` | `deleteAccountAsync(String name, ApiCallback<ApiExternalAccount> callback)` Delete an external account, specifying its name.
    `com.squareup.okhttp.Call` | `deleteAccountCall(String name, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for deleteAccount
    `ApiResponse<ApiExternalAccount>` | `deleteAccountWithHttpInfo(String name)` Delete an external account, specifying its name.
    `ApiCommand` | `externalAccountCommandByName(String commandName, String name)` Executes a command on the external account specified by name.
    `com.squareup.okhttp.Call` | `externalAccountCommandByNameAsync(String commandName, String name, ApiCallback<ApiCommand> callback)` Executes a command on the external account specified by name.
    `com.squareup.okhttp.Call` | `externalAccountCommandByNameCall(String commandName, String name, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for externalAccountCommandByName
    `ApiResponse<ApiCommand>` | `externalAccountCommandByNameWithHttpInfo(String commandName, String name)` Executes a command on the external account specified by name.
    `ApiClient` | `getApiClient()`
    `ApiExternalAccountCategoryList` | `getSupportedCategories()` List of external account categories supported by this Cloudera Manager.
    `com.squareup.okhttp.Call` | `getSupportedCategoriesAsync(ApiCallback<ApiExternalAccountCategoryList> callback)` List of external account categories supported by this Cloudera Manager.
    `com.squareup.okhttp.Call` | `getSupportedCategoriesCall(ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getSupportedCategories
    `ApiResponse<ApiExternalAccountCategoryList>` | `getSupportedCategoriesWithHttpInfo()` List of external account categories supported by this Cloudera Manager.
    `ApiExternalAccountTypeList` | `getSupportedTypes(String categoryName)` List of external account types supported by this Cloudera Manager by category.
    `com.squareup.okhttp.Call` | `getSupportedTypesAsync(String categoryName, ApiCallback<ApiExternalAccountTypeList> callback)` List of external account types supported by this Cloudera Manager by category.
    `com.squareup.okhttp.Call` | `getSupportedTypesCall(String categoryName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getSupportedTypes
    `ApiResponse<ApiExternalAccountTypeList>` | `getSupportedTypesWithHttpInfo(String categoryName)` List of external account types supported by this Cloudera Manager by category.
    `ApiCommandMetadataList` | `listExternalAccountCommands(String typeName)` Lists all the commands that can be executed by name on the provided external account type.
    `com.squareup.okhttp.Call` | `listExternalAccountCommandsAsync(String typeName, ApiCallback<ApiCommandMetadataList> callback)` Lists all the commands that can be executed by name on the provided external account type.
    `com.squareup.okhttp.Call` | `listExternalAccountCommandsCall(String typeName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for listExternalAccountCommands
    `ApiResponse<ApiCommandMetadataList>` | `listExternalAccountCommandsWithHttpInfo(String typeName)` Lists all the commands that can be executed by name on the provided external account type.
    `ApiExternalAccount` | `readAccount(String name, String view)` Get a single external account by account name.
    `com.squareup.okhttp.Call` | `readAccountAsync(String name, String view, ApiCallback<ApiExternalAccount> callback)` Get a single external account by account name.
    `ApiExternalAccount` | `readAccountByDisplayName(String displayName, String view)` Get a single external account by display name.
    `com.squareup.okhttp.Call` | `readAccountByDisplayNameAsync(String displayName, String view, ApiCallback<ApiExternalAccount> callback)` Get a single external account by display name.
    `com.squareup.okhttp.Call` | `readAccountByDisplayNameCall(String displayName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAccountByDisplayName
    `ApiResponse<ApiExternalAccount>` | `readAccountByDisplayNameWithHttpInfo(String displayName, String view)` Get a single external account by display name.
    `com.squareup.okhttp.Call` | `readAccountCall(String name, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAccount
    `ApiExternalAccountList` | `readAccounts(String typeName, String view)` Get a list of external accounts for a specific account type.
    `com.squareup.okhttp.Call` | `readAccountsAsync(String typeName, String view, ApiCallback<ApiExternalAccountList> callback)` Get a list of external accounts for a specific account type.
    `com.squareup.okhttp.Call` | `readAccountsCall(String typeName, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readAccounts
    `ApiResponse<ApiExternalAccountList>` | `readAccountsWithHttpInfo(String typeName, String view)` Get a list of external accounts for a specific account type.
    `ApiResponse<ApiExternalAccount>` | `readAccountWithHttpInfo(String name, String view)` Get a single external account by account name.
    `ApiConfigList` | `readConfig(String name, String view)` Get configs of external account for the given account name.
    `com.squareup.okhttp.Call` | `readConfigAsync(String name, String view, ApiCallback<ApiConfigList> callback)` Get configs of external account for the given account name.
    `com.squareup.okhttp.Call` | `readConfigCall(String name, String view, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readConfig
    `ApiResponse<ApiConfigList>` | `readConfigWithHttpInfo(String name, String view)` Get configs of external account for the given account name.
    `void` | `setApiClient(ApiClient apiClient)`
    `ApiExternalAccount` | `updateAccount(ApiExternalAccount body)` Update an external account.
    `com.squareup.okhttp.Call` | `updateAccountAsync(ApiExternalAccount body, ApiCallback<ApiExternalAccount> callback)` Update an external account.
    `com.squareup.okhttp.Call` | `updateAccountCall(ApiExternalAccount body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateAccount
    `ApiResponse<ApiExternalAccount>` | `updateAccountWithHttpInfo(ApiExternalAccount body)` Update an external account.
    `ApiConfigList` | `updateConfig(String name, String message, ApiConfigList body)` Upadate configs of external account for the given account name.
    `com.squareup.okhttp.Call` | `updateConfigAsync(String name, String message, ApiConfigList body, ApiCallback<ApiConfigList> callback)` Upadate configs of external account for the given account name.
    `com.squareup.okhttp.Call` | `updateConfigCall(String name, String message, ApiConfigList body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for updateConfig
    `ApiResponse<ApiConfigList>` | `updateConfigWithHttpInfo(String name, String message, ApiConfigList body)` Upadate configs of external account for the given account name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalAccountsResourceApi

          public ExternalAccountsResourceApi()

    - #### ExternalAccountsResourceApi

          public ExternalAccountsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createAccountCall

          public com.squareup.okhttp.Call createAccountCall(ApiExternalAccount body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for createAccount
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createAccount

          public ApiExternalAccount createAccount(ApiExternalAccount body)
                                           throws ApiException

      Create a new external account. Create a new external account. Account names and display names must be unique, i.e. they must not share names or display names with an existing account. Server generates an account ID for the requested account.
      Parameters:
        `body` - (optional)
      Returns:
        ApiExternalAccount
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createAccountWithHttpInfo

          public ApiResponse<ApiExternalAccount> createAccountWithHttpInfo(ApiExternalAccount body)
                                                                    throws ApiException

      Create a new external account. Create a new external account. Account names and display names must be unique, i.e. they must not share names or display names with an existing account. Server generates an account ID for the requested account.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiExternalAccount>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createAccountAsync

          public com.squareup.okhttp.Call createAccountAsync(ApiExternalAccount body,
                                                             ApiCallback<ApiExternalAccount> callback)
                                                      throws ApiException

      Create a new external account. (asynchronously) Create a new external account. Account names and display names must be unique, i.e. they must not share names or display names with an existing account. Server generates an account ID for the requested account.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### deleteAccountCall

          public com.squareup.okhttp.Call deleteAccountCall(String name,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for deleteAccount
      Parameters:
        `name` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### deleteAccount

          public ApiExternalAccount deleteAccount(String name)
                                           throws ApiException

      Delete an external account, specifying its name. Delete an external account, specifying its name.
      Parameters:
        `name` - (required)
      Returns:
        ApiExternalAccount
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAccountWithHttpInfo

          public ApiResponse<ApiExternalAccount> deleteAccountWithHttpInfo(String name)
                                                                    throws ApiException

      Delete an external account, specifying its name. Delete an external account, specifying its name.
      Parameters:
        `name` - (required)
      Returns:
        ApiResponse<ApiExternalAccount>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### deleteAccountAsync

          public com.squareup.okhttp.Call deleteAccountAsync(String name,
                                                             ApiCallback<ApiExternalAccount> callback)
                                                      throws ApiException

      Delete an external account, specifying its name. (asynchronously) Delete an external account, specifying its name.
      Parameters:
        `name` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### externalAccountCommandByNameCall

          public com.squareup.okhttp.Call externalAccountCommandByNameCall(String commandName,
                                                                           String name,
                                                                           ProgressResponseBody.ProgressListener progressListener,
                                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                    throws ApiException

      Build call for externalAccountCommandByName
      Parameters:
        `commandName` - The command name. (required)
        `name` - The external account name. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### externalAccountCommandByName

          public ApiCommand externalAccountCommandByName(String commandName,
                                                         String name)
                                                  throws ApiException

      Executes a command on the external account specified by name. Executes a command on the external account specified by name. <p> Available since API v16.
      Parameters:
        `commandName` - The command name. (required)
        `name` - The external account name. (required)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### externalAccountCommandByNameWithHttpInfo

          public ApiResponse<ApiCommand> externalAccountCommandByNameWithHttpInfo(String commandName,
                                                                                  String name)
                                                                           throws ApiException

      Executes a command on the external account specified by name. Executes a command on the external account specified by name. <p> Available since API v16.
      Parameters:
        `commandName` - The command name. (required)
        `name` - The external account name. (required)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### externalAccountCommandByNameAsync

          public com.squareup.okhttp.Call externalAccountCommandByNameAsync(String commandName,
                                                                            String name,
                                                                            ApiCallback<ApiCommand> callback)
                                                                     throws ApiException

      Executes a command on the external account specified by name. (asynchronously) Executes a command on the external account specified by name. <p> Available since API v16.
      Parameters:
        `commandName` - The command name. (required)
        `name` - The external account name. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getSupportedCategoriesCall

          public com.squareup.okhttp.Call getSupportedCategoriesCall(ProgressResponseBody.ProgressListener progressListener,
                                                                     ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                              throws ApiException

      Build call for getSupportedCategories
      Parameters:
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getSupportedCategories

          public ApiExternalAccountCategoryList getSupportedCategories()
                                                                throws ApiException

      List of external account categories supported by this Cloudera Manager. List of external account categories supported by this Cloudera Manager.
      Returns:
        ApiExternalAccountCategoryList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSupportedCategoriesWithHttpInfo

          public ApiResponse<ApiExternalAccountCategoryList> getSupportedCategoriesWithHttpInfo()
                                                                                         throws ApiException

      List of external account categories supported by this Cloudera Manager. List of external account categories supported by this Cloudera Manager.
      Returns:
        ApiResponse<ApiExternalAccountCategoryList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSupportedCategoriesAsync

          public com.squareup.okhttp.Call getSupportedCategoriesAsync(ApiCallback<ApiExternalAccountCategoryList> callback)
                                                               throws ApiException

      List of external account categories supported by this Cloudera Manager. (asynchronously) List of external account categories supported by this Cloudera Manager.
      Parameters:
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getSupportedTypesCall

          public com.squareup.okhttp.Call getSupportedTypesCall(String categoryName,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for getSupportedTypes
      Parameters:
        `categoryName` - (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getSupportedTypes

          public ApiExternalAccountTypeList getSupportedTypes(String categoryName)
                                                       throws ApiException

      List of external account types supported by this Cloudera Manager by category. List of external account types supported by this Cloudera Manager by category.
      Parameters:
        `categoryName` - (required)
      Returns:
        ApiExternalAccountTypeList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSupportedTypesWithHttpInfo

          public ApiResponse<ApiExternalAccountTypeList> getSupportedTypesWithHttpInfo(String categoryName)
                                                                                throws ApiException

      List of external account types supported by this Cloudera Manager by category. List of external account types supported by this Cloudera Manager by category.
      Parameters:
        `categoryName` - (required)
      Returns:
        ApiResponse<ApiExternalAccountTypeList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getSupportedTypesAsync

          public com.squareup.okhttp.Call getSupportedTypesAsync(String categoryName,
                                                                 ApiCallback<ApiExternalAccountTypeList> callback)
                                                          throws ApiException

      List of external account types supported by this Cloudera Manager by category. (asynchronously) List of external account types supported by this Cloudera Manager by category.
      Parameters:
        `categoryName` - (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### listExternalAccountCommandsCall

          public com.squareup.okhttp.Call listExternalAccountCommandsCall(String typeName,
                                                                          ProgressResponseBody.ProgressListener progressListener,
                                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                   throws ApiException

      Build call for listExternalAccountCommands
      Parameters:
        `typeName` - The external account type name (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### listExternalAccountCommands

          public ApiCommandMetadataList listExternalAccountCommands(String typeName)
                                                             throws ApiException

      Lists all the commands that can be executed by name on the provided external account type. Lists all the commands that can be executed by name on the provided external account type. <p> Available since API v16.
      Parameters:
        `typeName` - The external account type name (required)
      Returns:
        ApiCommandMetadataList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listExternalAccountCommandsWithHttpInfo

          public ApiResponse<ApiCommandMetadataList> listExternalAccountCommandsWithHttpInfo(String typeName)
                                                                                      throws ApiException

      Lists all the commands that can be executed by name on the provided external account type. Lists all the commands that can be executed by name on the provided external account type. <p> Available since API v16.
      Parameters:
        `typeName` - The external account type name (required)
      Returns:
        ApiResponse<ApiCommandMetadataList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### listExternalAccountCommandsAsync

          public com.squareup.okhttp.Call listExternalAccountCommandsAsync(String typeName,
                                                                           ApiCallback<ApiCommandMetadataList> callback)
                                                                    throws ApiException

      Lists all the commands that can be executed by name on the provided external account type. (asynchronously) Lists all the commands that can be executed by name on the provided external account type. <p> Available since API v16.
      Parameters:
        `typeName` - The external account type name (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAccountCall

          public com.squareup.okhttp.Call readAccountCall(String name,
                                                          String view,
                                                          ProgressResponseBody.ProgressListener progressListener,
                                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                   throws ApiException

      Build call for readAccount
      Parameters:
        `name` - (required)
        `view` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAccount

          public ApiExternalAccount readAccount(String name,
                                                String view)
                                         throws ApiException

      Get a single external account by account name. Get a single external account by account name.
      Parameters:
        `name` - (required)
        `view` - (optional)
      Returns:
        ApiExternalAccount
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountWithHttpInfo

          public ApiResponse<ApiExternalAccount> readAccountWithHttpInfo(String name,
                                                                         String view)
                                                                  throws ApiException

      Get a single external account by account name. Get a single external account by account name.
      Parameters:
        `name` - (required)
        `view` - (optional)
      Returns:
        ApiResponse<ApiExternalAccount>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountAsync

          public com.squareup.okhttp.Call readAccountAsync(String name,
                                                           String view,
                                                           ApiCallback<ApiExternalAccount> callback)
                                                    throws ApiException

      Get a single external account by account name. (asynchronously) Get a single external account by account name.
      Parameters:
        `name` - (required)
        `view` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAccountByDisplayNameCall

          public com.squareup.okhttp.Call readAccountByDisplayNameCall(String displayName,
                                                                       String view,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for readAccountByDisplayName
      Parameters:
        `displayName` - (required)
        `view` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAccountByDisplayName

          public ApiExternalAccount readAccountByDisplayName(String displayName,
                                                             String view)
                                                      throws ApiException

      Get a single external account by display name. Get a single external account by display name.
      Parameters:
        `displayName` - (required)
        `view` - (optional)
      Returns:
        ApiExternalAccount
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountByDisplayNameWithHttpInfo

          public ApiResponse<ApiExternalAccount> readAccountByDisplayNameWithHttpInfo(String displayName,
                                                                                      String view)
                                                                               throws ApiException

      Get a single external account by display name. Get a single external account by display name.
      Parameters:
        `displayName` - (required)
        `view` - (optional)
      Returns:
        ApiResponse<ApiExternalAccount>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountByDisplayNameAsync

          public com.squareup.okhttp.Call readAccountByDisplayNameAsync(String displayName,
                                                                        String view,
                                                                        ApiCallback<ApiExternalAccount> callback)
                                                                 throws ApiException

      Get a single external account by display name. (asynchronously) Get a single external account by display name.
      Parameters:
        `displayName` - (required)
        `view` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readAccountsCall

          public com.squareup.okhttp.Call readAccountsCall(String typeName,
                                                           String view,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for readAccounts
      Parameters:
        `typeName` - (required)
        `view` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readAccounts

          public ApiExternalAccountList readAccounts(String typeName,
                                                     String view)
                                              throws ApiException

      Get a list of external accounts for a specific account type. Get a list of external accounts for a specific account type.
      Parameters:
        `typeName` - (required)
        `view` - (optional)
      Returns:
        ApiExternalAccountList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountsWithHttpInfo

          public ApiResponse<ApiExternalAccountList> readAccountsWithHttpInfo(String typeName,
                                                                              String view)
                                                                       throws ApiException

      Get a list of external accounts for a specific account type. Get a list of external accounts for a specific account type.
      Parameters:
        `typeName` - (required)
        `view` - (optional)
      Returns:
        ApiResponse<ApiExternalAccountList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readAccountsAsync

          public com.squareup.okhttp.Call readAccountsAsync(String typeName,
                                                            String view,
                                                            ApiCallback<ApiExternalAccountList> callback)
                                                     throws ApiException

      Get a list of external accounts for a specific account type. (asynchronously) Get a list of external accounts for a specific account type.
      Parameters:
        `typeName` - (required)
        `view` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readConfigCall

          public com.squareup.okhttp.Call readConfigCall(String name,
                                                         String view,
                                                         ProgressResponseBody.ProgressListener progressListener,
                                                         ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                  throws ApiException

      Build call for readConfig
      Parameters:
        `name` - The external account name (required)
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readConfig

          public ApiConfigList readConfig(String name,
                                          String view)
                                   throws ApiException

      Get configs of external account for the given account name. Get configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigWithHttpInfo

          public ApiResponse<ApiConfigList> readConfigWithHttpInfo(String name,
                                                                   String view)
                                                            throws ApiException

      Get configs of external account for the given account name. Get configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readConfigAsync

          public com.squareup.okhttp.Call readConfigAsync(String name,
                                                          String view,
                                                          ApiCallback<ApiConfigList> callback)
                                                   throws ApiException

      Get configs of external account for the given account name. (asynchronously) Get configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `view` - The view to materialize, either \"summary\" or \"full\". (optional, default to summary)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateAccountCall

          public com.squareup.okhttp.Call updateAccountCall(ApiExternalAccount body,
                                                            ProgressResponseBody.ProgressListener progressListener,
                                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                     throws ApiException

      Build call for updateAccount
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateAccount

          public ApiExternalAccount updateAccount(ApiExternalAccount body)
                                           throws ApiException

      Update an external account. Update an external account.
      Parameters:
        `body` - (optional)
      Returns:
        ApiExternalAccount
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateAccountWithHttpInfo

          public ApiResponse<ApiExternalAccount> updateAccountWithHttpInfo(ApiExternalAccount body)
                                                                    throws ApiException

      Update an external account. Update an external account.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiExternalAccount>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateAccountAsync

          public com.squareup.okhttp.Call updateAccountAsync(ApiExternalAccount body,
                                                             ApiCallback<ApiExternalAccount> callback)
                                                      throws ApiException

      Update an external account. (asynchronously) Update an external account.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### updateConfigCall

          public com.squareup.okhttp.Call updateConfigCall(String name,
                                                           String message,
                                                           ApiConfigList body,
                                                           ProgressResponseBody.ProgressListener progressListener,
                                                           ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                    throws ApiException

      Build call for updateConfig
      Parameters:
        `name` - The external account name (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### updateConfig

          public ApiConfigList updateConfig(String name,
                                            String message,
                                            ApiConfigList body)
                                     throws ApiException

      Upadate configs of external account for the given account name. Upadate configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
      Returns:
        ApiConfigList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigWithHttpInfo

          public ApiResponse<ApiConfigList> updateConfigWithHttpInfo(String name,
                                                                     String message,
                                                                     ApiConfigList body)
                                                              throws ApiException

      Upadate configs of external account for the given account name. Upadate configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
      Returns:
        ApiResponse<ApiConfigList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### updateConfigAsync

          public com.squareup.okhttp.Call updateConfigAsync(String name,
                                                            String message,
                                                            ApiConfigList body,
                                                            ApiCallback<ApiConfigList> callback)
                                                     throws ApiException

      Upadate configs of external account for the given account name. (asynchronously) Upadate configs of external account for the given account name.
      Parameters:
        `name` - The external account name (required)
        `message` - Optional message describing the changes. (optional)
        `body` - Settings to update. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.